body {
  margin:0;
  overflow:hidden;
  background:#1e1a17;
}

canvas {
  display:block;
}

#crosshair {
  position:fixed;
  top:50%;
  left:50%;
  width:4px;
  height:4px;
  background:#f86c35;
  border-radius:50%;
  transform:translate(-50%, -50%);
  pointer-events:none;
}

#debug {
  position:fixed;
  top:10px;
  left:10px;
  font-family:monospace;
  font-size:14px;
  color:#f86c35;
  background:rgba(0,0,0,0.3);
  padding:10px;
  border-radius:8px;
  white-space:pre-line;
  z-index:20;
}

#joystick {
  position:fixed;
  bottom:20px;
  left:20px;
  width:120px;
  height:120px;
  background:rgba(255,255,255,0.08);
  border-radius:50%;
  touch-action:none;
}

#stick {
  position:absolute;
  left:40px;
  top:40px;
  width:40px;
  height:40px;
  background:rgba(255,220,180,0.3);
  border-radius:50%;
}

#interactBtn {
    position: fixed;
    bottom: 20px;
    left: 50%;
    transform: translateX(-50%);
    padding-left: 15px;
    padding-right: 15px;
    border-radius: 8px;
    font-family: monospace;
    font-size: 18px;
    text-align: center;
    line-height: 90%;
    background: rgba(43, 43, 43, 0.6);
    cursor: pointer;
}

#popup {
    position: fixed;
    width: 50px;
    bottom: 12px;
    right: 20px;
    padding-top: 8px;
    background: rgba(255, 255, 255, 0.1);
    /* padding: 12px; */
    border-radius: 8px;
    z-index: 10;
}

.hidden {
    display: none;
}

.popup-action-btn {

    width: 100%;
    margin-bottom: 8px;
    padding-top: 15px;
    padding-bottom: 15px;
    padding-left: 10px;
    padding-right: 10px;

    border: none;
    border-radius: 8px;

    background: rgba(43, 43, 43, 0.6);

    font-family: monospace;
    font-size: 18px;
    text-align: center;
    line-height: 90%;
    cursor: pointer;
}

/*.popup{
  position: fixed;
  bottom: 45px;
  right: 15px; */
  /* transform: translateX(-50%); */
  /* background: rgba(43, 43, 43, 0.6);
  color:#fdab40;
  padding-left: 15px;
  padding-right: 15px; */
  /* padding-top: 5px;
  padding-bottom: 5px; */
  /* border-radius: 8px;
  font-family: monospace;
  font-size: 18px;
  text-align: center;
  line-height: 90%;
  pointer-events: none;
}

.hidden{
  display: none;
} */